<?php
// (c)Mellspa 2017 - All rights reserved
// Em caso de dúvida por favor entre em contato: info@mellspa.de
// Bei Fragen wenden Sie sich bitte an: info@mellspa.de
// In case of questions, please, contact: info@mellspa.de

// Este documento é o script da instalação. 
// Das ist das Install-Skript. 
// this archive is the installer.

$good = true;
$catchinfo = true;

function PHP_basepathi()
{
  $base_url = substr($_SERVER['SCRIPT_FILENAME'],strpos($_SERVER['SCRIPT_FILENAME'],"//"));
  return substr($base_url,1,strlen($base_url)-strlen(basename($_SERVER['SCRIPT_FILENAME']))-1);
}

if(file_exists("systemsrc") && file_exists("systemsrc/helper.php"))
  include "systemsrc/helper.php";

$language = isset($LANGUAGE) ? $LANGUAGE : "";
$lngs = array();
if(isset($LANGUAGES))
{
  foreach($LANGUAGES as $key => $value)
    $lngs[$value] = 1;
}
$apeladmin = isset($CHATADMIN) ? $CHATADMIN : "";
$titulo = isset($PAGETITLE) ? $PAGETITLE : "";
$timezone = isset($TIMEZONEUSED) ? $TIMEZONEUSED : "";
$msgsgle = isset($NAMEPOST) ? $NAMEPOST : "";
$msgmany = isset($NAMEPOSTS) ? $NAMEPOSTS : "";
$msgsize = isset($MAXFILESIZE) ? $MAXFILESIZE : "";
$pagename = isset($PREFIX) ? $PREFIX : "";
$openchat = isset($OPENCHAT) ? $OPENCHAT : false;


if(file_exists("install") && !file_exists("systemsrc/helper.php"))
{
  @mkdir("systemsrc",0777,true);
  $helpercopy = file_get_contents("install/helper.php");
  $myfile = fopen("systemsrc/helper.php","wb"); // first call
  if($myfile)
  {
    fwrite($myfile,$helpercopy);
    fclose($myfile);
  }
  include "systemsrc/helper.php";
}



if($good && isset($_POST['environment']))
{

  $catchinfo = false;

  $language = $_POST['language'];
  $lng = '[\''.$language.'\'';
  $lngs = array();
  $lngs[$language] = 1;
  foreach($_POST as $key => $value)
  {
    if(strpos($key,"installlanguage")!==false && $value!==$language)
    {
      $lng .=','.'\''.$value.'\'';
      $lngs[$value] = 1;
    }
  }
  $lng .=']';
  
  $apeladmin = $_POST['apeladmin'];
  $titulo = $_POST['titulo'];
  $timezone = $_POST['timezone'];
  date_default_timezone_set($timezone);
  if($timezone !== date_default_timezone_get()) 
  {
    $timezone = "";
    $catchinfo = true;
  }
  $msgsgle = $_POST['msgsgle'];
  $msgmany = $_POST['msgmany'];
  $msgsize = $_POST['msgsize'];
   
//   if(!is_int($msgsize))
//   {
//     $msgsize = "";
//     $catchinfo = true;
//   }
  $pagename = $_POST['pagename'];
  $openchat = (isset($_POST['openchat']) && $_POST['openchat']==="open") ? true : false;
  
  
  if($good & file_exists("install"))
  {
    PHP_test_dest_directory($SYSTEMSRC,true);
    PHP_test_dest_directory("session",true);
    PHP_test_dest_directory("aux",true);
    PHP_test_dest_directory("chatdata",true);
    PHP_test_dest_directory("chatdata/userimages",true);
    PHP_test_dest_directory("chatdata/user",true);
    PHP_test_dest_directory("images",false);
    PHP_test_dest_directory("imageofday",true);
  }
  
  if($good)
  {
    $oldhelper = file_get_contents("install/helper.php");
    $ohelppos = strpos($oldhelper,"//end options");
    
    if($ohelppos)
    {
      $noptions = '<?php'."\n";
      $noptions .= '$CHATADMIN = "'.$apeladmin.'"; // Usuário administrador'."\n"; 
      $noptions .= '$PAGETITLE = "'.$titulo.'"; // Título da página (slogan) (o título exemplo pode ser modificado durante a instalação.)'."\n"; 
      $noptions .= '$LANGUAGE = "'.$language.'"; // Linguagem'."\n";
      $noptions .= '$TIMEZONEUSED = "'.$timezone.'"; // Somente permitido pela lista de fuso horário da linguagem PHP'."\n"; 
      $noptions .= '$NAMEPOST = "'.$msgsgle.'"; // Post (este nome pode ser modificado durante a instalação.)'."\n"; 
      $noptions .= '$NAMEPOSTS = "'.$msgmany.'"; // Posts (este nome pode ser modificado durante a instalação.)'."\n"; 
      $noptions .= '$MAXFILESIZE='.$msgsize.'; // Veja no teu php.ini qual é o tamanho máximo que tem o \'upload_max_file_size\' e \'post_max_file_size\', para que você possa definir o tamanho máximo dos arquivos que pode carregar'."\n";  
      $noptions .= '$PREFIX = "'.$pagename.'"; // Nome do chat'."\n";
      $noptions .= '$OPENCHAT = '.($openchat ? "true" : "false").'; // Chat é aberto'."\n";
      $noptions .= '$LANGUAGES = '.$lng.";\n";
      
      
      
      if(is_dir("install"))
      {
        
        //$lng = '[';
        
	$handle = opendir("install");
	
	while (($item = readdir($handle)) !== false)
	{
	  if("dir"===filetype("install/".$item) && $item!=="." && $item!=="..")
	  {
	  
	    if($item==="manual")
	      continue;
      
            if($item!=="images" && $item!=="imageofday")
            {
              if(!isset($lngs[$item]))
                continue;
//               if(strlen($lng)>1)
//                 $lng .= ',';
//               $lng .= '\''.$item.'\'';
             
	      PHP_test_dest_directory($item,true);
	      PHP_test_dest_directory($item."/systemsrc",true);
	      
	      if($good & !file_exists($item."/systemsrc/".$pagename."_entities_in.php"))
	      {
		$myfile = fopen($item."/systemsrc/".$pagename."_entities_in.php","wb");
		if($myfile)
		{
		  fwrite($myfile,'<?php'."\n  // pode ficar vazio/might be left empty/kann leer sein\n".'?>'."\n");
		  fclose($myfile);
		}
	      }
	      if($good & !file_exists($item."/systemsrc/".$pagename."_entities_out.php"))
	      {
		$myfile = fopen($item."/systemsrc/".$pagename."_entities_out.php","wb");
		if($myfile)
		{
		  fwrite($myfile,'<?php'."\n  // pode ficar vazio/might be left empty/kann leer sein\n".'?>'."\n");
		  fclose($myfile);
		}
	      }
	      if($good & !file_exists($item."/systemsrc/".$pagename."_image_extra.php"))
	      {
		$myfile = fopen($item."/systemsrc/".$pagename."_image_extra.php","wb");
		if($myfile)
		{
		  fwrite($myfile,'<?php'."\n  // pode ficar vazio/might be left empty/kann leer sein\n".'?>'."\n");
		  fclose($myfile);
		}
	      }
	    }
	    	
	    
	    $handle1 = opendir("install/".$item);
	    
	    while (($item1 = readdir($handle1)) !== false)
	    {
	      if("file"===filetype("install/".$item."/".$item1))
	      {
	        if($item!=="images" && $item!=="imageofday" && $item!=="manual")
	        {
	          if("_initial.php" === $item1)
	          {
		    if(!file_exists($item."/systemsrc/".$pagename.$item1))
		      copybyreadwrite("install/".$item."/".$item1,$item."/systemsrc/".$pagename.$item1);
	          }  
	          elseif("_imageofday.php" === $item1)
	          {
		    if(!file_exists($item."/systemsrc/".$pagename.$item1))
		      copybyreadwrite("install/".$item."/".$item1,$item."/systemsrc/".$pagename.$item1);
	          } 
	          elseif("_terms.php" === $item1)
	          {
	            if(!file_exists($item."/systemsrc/".$pagename.$item1))
		      copybyreadwrite("install/".$item."/".$item1,$item."/systemsrc/".$pagename.$item1);
	          }
	          else
		    copybyreadwrite("install/".$item."/".$item1,$item."/systemsrc/".$pagename.$item1);
		}
		else
		{
		  if("logo.png" === $item1)
		  {
		    if(!file_exists($item."/".$item1))
		      copybyreadwrite("install/".$item."/".$item1,$item."/".$item1);
	          } 
		  else
		    copybyreadwrite("install/".$item."/".$item1,$item."/".$item1);
		}
	      }
	    }
	    closedir($handle1);
	  }
	}
	closedir($handle);
	//$lng .= ']';
      }
      
//       $noptions .= '$LANGUAGES = '.$lng.";\n";
      $newhelper = substr_replace($oldhelper,$noptions,0,$ohelppos);
      $myfile = fopen("systemsrc/helper.php","wb");
      if($myfile)
      {
	fwrite($myfile,$newhelper);
	fclose($myfile);
      }
      
      
      
      
      if($good & !file_exists("favicon.ico"))
      {
        copybyreadwrite("install/favicon.ico","favicon.ico");
      }
      
      copybyreadwrite("install/twymtmaker_page.css","twymtmaker_".$pagename.".css");
      copybyreadwrite("install/page_".$language.".php",$pagename.".php");
      
      
    }
  }
  
}
if($good)
{

HTML_header("POST setup",lang());
?>
<style>

body {
  font-family: verdana;
  padding:0;
  margin:0;
  font-size:100%;
  color:#333;
  min-width: 16em;
  line-height: 1.4;
}

.title{
 text-shadow: 2px 2px 5px #8c8c8c;
}

.button{
 background-color:#311414; 
 border-radius:0.3em; 
 color:white; 
 font-size: 25px; 
 box-shadow: 1px 3px 1px #C1CDC1;
 -webkit-transition-duration: 0.4s; 
 transition-duration: 0.4s;
 box-shadow: 1px 3px 1px #C1CDC1;
}

.button:hover {
 box-shadow: 2px 8px 2px #C1CDC1;
}
</style>
<?php
HTML_body();
if($catchinfo)
{
?>
<div style="text-align:center;margin-bottom:2em; margin-top:1em;">
<h1 style="color:red;">CHAT installer</h1>
<?php PHP_formbegin("install.php","","",""); ?>
<input type="hidden" name="environment" value="" />
<h2 class="title">Linguagem / Sprache / Language</h2> 

<p>
<select id="selectopts" name="language" class="hippiebutton" required="yes">
  
<?php
  if(is_dir("install"))
  {
  
    $handle = opendir("install");
    
    while (($item = readdir($handle)) !== false)
    {
      if("dir"===filetype("install/".$item) && $item!=="." && $item!==".." && $item!=="images" && $item!=="imageofday" && $item!=="manual")
      {
	echo "<option value=\"".$item."\" ".(($item===$language) ? " selected=\"yes\"" : "")." >".$item."</option>\n";
      }
    }
    closedir($handle);
  }
?>
</select>
</p>

<div style="text-align:left;padding-left:15%;">
<dl>
<dt><b style="color:lime;">(PT)</b></dt><dd>A língua principal do chat será definida aqui. A língua que for escolhida aqui será instalada como a principal.</dd>
<dt><b style="color:red;">(DE)</b></dt><dd>Die Sprache der Hauptseite des Chats wird hiermit festgelegt. Die hier gewählte Sprache wird in jedem Fall installiert.</dd>
<dt><b style="color:aqua;">(EN)</b></dt><dd>The main laguaguage of the chat will be defined here. The selected language will be installed in any case.</dd>
</dl>
</div>
<hr />

<h3 class="title">Linguagens alternativas para os usuários / Alternative Sprachen für die Nutzer/ Alternative languages for users</h3> 
<p>
<?php
  if(is_dir("install"))
  {
  
    $handle = opendir("install");
    
    while (($item = readdir($handle)) !== false)
    {
      if("dir"===filetype("install/".$item) && $item!=="." && $item!==".." && $item!=="images" && $item!=="imageofday" && $item!=="manual")
      {
	echo "<input name=\"installlanguage-".$item."\" type=\"checkbox\" value=\"".$item."\" ".((isset($lngs[$item])) ? "checked" : "")."/> ".$item."\n";
      }
    }
    closedir($handle);
  }
?>
</p>

<div style="text-align:left;padding-left:15%;">
<dl>
<dt><b style="color:lime;">(PT)</b></dt><dd><p>A língua de entrada do chat pode não ser ideal para todos os usuários do chat.</p>
<p>Estão à disposição outras 2 línguas (inglês e alemão), as quais não precisam necessariamente ser instaladas e organizadas, caso você não queira utilizar esta função, retire-as da seleção.</p>
<p><mark><b>(!)</b></marK>&nbsp;<u>Atenção</u> -&nbsp;Se você escolher mais alguma língua, vai precisar organizar também no arquivo desta língua 
o código "imageofday.php", onde encontra-se a imagem do dia e a mensagem do dia.</p>
<p>O usuário poderá escolher somente as línguas instaladas.</p></dd>
<dt><b style="color:red;">(DE)</b></dt><dd>Die Sprache der Login-Seite des Chats muss nicht für alle Chatnutzer optimal sein. Es stehen verschiedene Sprachen zur Verfügung, welche aber nicht alle installiert und gepflegt werden müssen.
Ein Nutzer kann nur aus den installierten Sprachen wählen.
<p><mark><b>(!)</b></marK>&nbsp;<u>Wichtig</u> -&nbsp;Falls mehr als eine Sprache ausgewählt wird, muss die Datei "imageofday.php" (Bild und Nachricht des Tages) in der jeweiligen Sprache 
ebenfalls mitgepflegt werden.</p></dd>
<dt><b style="color:aqua;">(EN)</b></dt><dd>The chosen language for the first page may not fit for all users at the best. There are more languages which might be installed optionally. The user might chose
between installed languages only.
<p><mark><b>(!)</b></marK>&nbsp;<u>Important</u> -&nbsp;If more than 0ne language was selected, the archive "imageofday.php" (image und message of the day) must be updated in 
each language seperatly.</p></dd>
</dl>
</div>

<hr />

<h2 class="title">Conta do Administrador / Administratoraccount / Admin Account</h2>
<p><input type="text" name="apeladmin" value="<?php echo $apeladmin ?>" required="yes" placeholder="Admin" /></p>
<div style="text-align:left;padding-left:15%;">
<dl>
<dt><b style="color:lime;">(PT)</b></dt><dd>Usuário administrador. Um usuário será o administrador do chat. O login ("nome/apelido") deste usuário precisa ser defenido neste ponto. A senha precisa ser definida quando for terminada a instalação em "registrar-se".</dd>
<dt><b style="color:red;">(DE)</b></dt><dd>Login des Administrators. Ein Nutzer ist der Administrator des Chats. Der Login dieses Nutzers muss hier benannt werden. Das Passwort muss unbedingt nach dem Abschluss der Installation 
definiert werden.</dd>
<dt><b style="color:aqua;">(EN)</b></dt><dd>Login of the administrator. One user is the administrator of the chat. The login must be defined here. The password has to be defined immediately
after finishing the installation.</dd>
</dl>
</div>

<hr />

<h2 class="title">Chat aberto ou fechado? / Offen Chat oder geschlossen / Open chat or closed?</h2>
<div>
<div style="display:inline-block;text-align:left;">
<fieldset>
<legend><b style="color:lime;">Estilo</b></legend>
<div style="text-align:right;">
O chat é aberto: <input type="radio" name="openchat"  <?php echo ($openchat ? "checked" : "")  ?> value="open" /><br />
O chat é fechado: <input type="radio" name="openchat"  <?php echo (!$openchat ? "checked" : "")  ?> value="closed" />
</div>
</fieldset>
</div>
<div style="display:inline-block;text-align:left;">
<fieldset>
<legend><b style="color:red;">Art</b></legend>
<div style="text-align:right;">
Der Chat ist offen: <input type="radio" name="openchat"  <?php echo ($openchat ? "checked" : "")  ?> value="open" /><br />
Der Chat ist geschlossen: <input type="radio" name="openchat"  <?php echo (!$openchat ? "checked" : "")  ?> value="closed" />
</div>
</fieldset>
</div>
<div style="display:inline-block;text-align:left;">
<fieldset>
<legend><b style="color:aqua;">Style</b></legend>
<div style="text-align:right;">
Is an open chat: <input type="radio" name="openchat"  <?php echo ($openchat ? "checked" : "")  ?> value="open" /><br />
The chat is closed: <input type="radio" name="openchat"  <?php echo (!$openchat ? "checked" : "")  ?> value="closed" />
</div>
</fieldset>
</div>
</diV>
<div style="text-align:left;padding-left:15%;">
<dl>
<dt><b style="color:lime;">(PT)</b></dt><dd>Chat aberto significa que <mark>qualquer pessoa</mark> pode se cadastrar. No chat fechado o futuro usuário tem que enviar 
um endereço de e-mail e um login ("nome/apelido") para o administrador.</dd>
<dt><b style="color:red;">(DE)</b></dt><dd>Offener Chat bedeutet, dass <mark>jeder</mark> sich registrieren kann. Im Fall des geschlossenen Chats muss der Administrator kontaktiert werden,
um E-Mail-Adresse und login-Name für die Einladung zu vereinbaren.</dd>
<dt><b style="color:aqua;">(EN)</b></dt><dd>Open chat significates that <mark>everyone</mark> might register itself. In case of a closed chat a user must contact 
the administrator and inform about it's e-mail and login-name for an invitation.</dd>
</dl>
</div>

<hr />

<h2 class="title">Nome do teu <b style="color:lime;">chat</b> / Name von Deinem <b style="color:red;">Chat</b> / Name of your <b style="color:aqua;">chat</b></h2>
<div>
<p><input type="text" name="titulo" value="<?php echo $titulo ?>" required="yes" placeholder="Chat - connecting real friends" /></p>
</div>

<hr />

<h2 class="title">Fuso horário / Zeitzone / Time Zone</h2>
<p><input type="text" name="timezone" value="<?php echo $timezone ?>" required="yes" placeholder="America/Sao_Paulo" /></p>
<div style="text-align:left;padding-left:15%;">
<dl>
<dt><b style="color:lime;">(PT)</b></dt><dd>Somente permitido pela lista de fuso horário da linguagem PHP. Consulte no teu site de buscas a lista de fusos horários suportados para PHP.</dd>
<dt><b style="color:red;">(DE)</b></dt><dd>Es sind nur Einträge aus der Zeitzonenliste von PHP erlaubt. Die Liste kann über jede Suchmashine gefunden werden.</dd>
<dt><b style="color:aqua;">(EN)</b></dt><dd>PHP supported time zones only. The list can be obtained by any search engine. </dd>
</dl>
</div>

<hr />

<h2 class="title">Outro nome para <i style="color:lime;">Post</i> / Ein anderer Name für <i style="color:red;">Post</i> / Another name for <i style="color:aqua;">Post</i></h2>
<div>
<p><input type="text" name="msgsgle" value="<?php echo $msgsgle ?>" required="yes" placeholder="POST" /></p>
</div>
<h2 class="title">Outro nome para <i style="color:lime;">Posts</i> / Ein anderer Name für <i style="color:red;">Posts</i> / Another name for <i style="color:aqua;">Posts</i></h2>
<div>
<p><input type="text" name="msgmany" value="<?php echo $msgmany ?>" required="yes" placeholder="POSTS" /></p>
</div>

<hr />

<h2 class="title">Tamanho máximo de um upload /  Maximum der Uploadgröße / Maximum Upload Size</h2>
<p><input type="text" name="msgsize" value="<?php echo $msgsize ?>" required="yes" placeholder="2097152" title="these are 2MB" /></p>
<div style="text-align:left;padding-left:15%;">
<dl>
<dt><b style="color:lime;">(PT)</b></dt><dd>Veja no teu php.ini qual é o tamanho máximo que tem o 'upload_max_file_size' e o 'post_max_file_size', 
para que você possa definir o tamanho máximo dos arquivos que pode carregar.</dd>
<dt><b style="color:red;">(DE)</b></dt><dd>In der php.ini werden meist durch die Installation des PHP die maximalen Größen eines Uploads definiert. Dazu gibt es die Felder 
'upload_max_file_size' und 'post_max_file_size'. Oft werden diese auch den Web-Hoster beschränkt. Jeder Versuch, eine größere Datei zu senden, schlägt fehl.</dd>
<dt><b style="color:aqua;">(EN)</b></dt><dd>The maximum size of an upload size is defined by the installtion of the PHP and the php.ini. There are fields like 'upload_max_file_size' and 'post_max_file_size'.
Many times web-hoster limiting these sizes. Any attempt to upload larger files will fail. 
</dd>
</dl>
</div>

<hr />

<h2 class="title">Nome da futura <b style="color:lime;">página do chat</b> / Name von die zukünftig <b style="color:red;">Chat Homepage</b> / Name of the future <b style="color:aqua;">chat homepage</b></h2>
<div>
<p><b style="color:lime;">&#33;Sem espaços</b> / <b style="color:red;">&#33;Ohne Leerzeichen</b> / <b style="color:aqua;">&#33;Without spaces</b></p>
</div>
<div>
<p><?php $url = $_SERVER['HTTP_HOST']; if(!strlen($url)) $url="YourURL"; echo (isset($_SERVER['HTTPS']) ? "https" : "http")."://".$url.PHP_basepathi() ?><input type="text" name="pagename" value="<?php echo $pagename ?>" required="yes" placeholder="post" />.php</p>
</div>

<hr />

<h2 class="title">Remover dados da instalação?  / Installationsdaten entfernen?  / Delete install data?</h2>
<div>
<p><b style="color:lime;">Clique aqui</b> / <b style="color:red;">Klick hier</b> / <b style="color:aqua;">Click here</b> <b>&#8594;</b><input type="checkbox" name="removeinstall"  value="" /></p>
</div>
<div style="text-align:left;padding-left:15%;">
<dl>
<dt><b style="color:lime;">(PT)</b></dt><dd>
<p><u>"Remover dados da instalação?"</u> - 
Observe que é perigoso deixar estes arquivos no teu serviço de hospedagem, porque alguém pode acessar p.ex. o install.php e destruir/acessar o teu chat.</p>
<p>Ao clicar nesta opção todos os arquivos que não devem ser acessados serão deletados.</p>
<p><mark><b>(!)</b></marK>&nbsp;Atenção - Clique em <u>"Remover dados da instalação?"</u> 
quando tiver certeza que a lista de instalação está completa e que os nomes que você escolheu para "post", "conta do administrador", etc. estão escritos corretamente, senão você terá que recomeçar do zero novamente.
</p>
</dd>
<dt><b style="color:red;">(DE)</b></dt><dd><p><u>"Installationsdaten entfernen?"</u> -
Es ist gefährlich, die Installationsdaten auf dem Web-Host zu belassen, da jemand z.B. install.php aufrufen könnte und damit den Chat zerstören oder ungewollt 
benutzen könnte.</p>
<p>Durch dieses Häkchen werden alle Installationsdaten, welche nicht erreichbar sein sollten, gelöscht.</p>
<p><mark><b>(!)</b></marK>&nbsp;Wichtig - Klicke auf <u>"Installationsdaten entfernen?"</u> 
wenn sicher ist, dass die Installationsliste komplett und die Namen für "Post" und "Administratorkonto", usw. richtig geschrieben sind. Wenn nicht, muss man wieder neu beginnen.
</p>
</dd>
<dt><b style="color:aqua;">(EN)</b></dt><dd></b></dt><dd><p><u>"Delete install data?"</u> -
Remember that it is dangerous to leave the install data on the server. Someone might call install.php and destroy your chat or gets an unwanted access.</p>
<p>Using this check will remove all installation data.</p>
<p><mark><b>(!)</b></marK>&nbsp;Important - Click at <u>"Delete install data?"</u> 
if you are sure that the installation is complete and the names for "post", "administrator account", etc. are correctly. If not you must start from the beginning again.
</p>
</dd>
</dl>
</div>

<hr />
<dl>
<dt><b style="color:lime;">(PT)</b></dt><dd>
<p>
Este software está sendo distribuído com a esperança de ser útil,
mas não fornece <u>NENHUM TIPO DE GARANTIA</u>; incluindo assim nem mesmo uma garantia de USABILIDADE ou UTILIDADE PARA ALGO ESPECÍFICO.

</p></dd>
<dt><b style="color:red;">(DE)</b></dt><dd>
<p>
Die Software wurde in der Hoffnung veröffentlicht, dass sie nützlich ist,
jedoch <u>OHNE JEDE GARANTIE</u>; sogar ohne implizite  
Gewährleistung der GEBRAUCHSTAUGLICHKEIT oder der EIGNUNG FÜR EINEN BESTIMMTEN ZWECK.
</p>
</dd>
<dt><b style="color:aqua;">(EN)</b></dt><dd>
<p>
The software is distributed in the hope that it will be useful,
but <u>WITHOUT ANY WARRANTY</u>; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
</p>
</dd>
</dl>

<div style="margin-top:2em;">
<input type="submit" class="button" value="Install" />
</div>
<?php PHP_formend(); ?>
<?php
HTML_footer();
}
else
{

?>
<h1>POST installer</h1>

<?php PHP_formbegin($pagename.".php","","",""); ?>
Gratulation - installation ready!

<input type="submit" value="iniciar o chat" />
</div>
<?php
PHP_formend();
HTML_footer();

// if the user wants to delete all installation files automatically
if(isset($_POST['removeinstall']))
{
  if(is_dir("install"))
  {
    recursiveDelete("install");
  }
  unlink('install.php');
}
}

}
else
  echo "The POST installer can't finish the installation due to some problem.";
 
?>
