<?php
$CHATADMIN = "user"; // usuário administrador 
$PAGETITLE = "Chat - connecting real friends"; // título da página (este título pode ser modificado)
$LANGUAGE = 'pt-br'; // linguagem 
$LANGUAGES = ['pt-br'];
$TIMEZONEUSED = 'America/Sao_Paulo'; // somente permitido pela lista de fuso horário da linguagem PHP 
$NAMEPOST = "POST"; // mensagem (este nome pode ser modificado)
$NAMEPOSTS = "POSTS"; // mensagens (este nome pode ser modificado)
$MAXFILESIZE=5200000; // veja no teu php.ini qual tamanho máximo tem 'upload_max_file_size' e 'post_max_file_size', para definir o tamanho máximo dos arquivos que você pode carregar. 
$PREFIX = "chat";
$OPENCHAT = false;
//end options

$SYSTEMSTORE = 'system'; 
$SYSTEMSRC = 'systemsrc';
$NUMBEROFGLOBALSESSIONS = 2;

$PAGENAME = $PREFIX . ".php";  
$TOPPAGE = $PAGENAME;
$TIMEOUT = 3600;
$PHPSIDFRM = 'userid'; // usado nos formulários para identificar o usuário 

function deleteContentImages($path, $tooold){
try{
  $iterator = new DirectoryIterator($path);
  foreach ( $iterator as $fileinfo ) {
    if($fileinfo->isDot())continue;
//     if($fileinfo->isDir()){
//       if(deleteContent($fileinfo->getPathname()))
// 	@rmdir($fileinfo->getPathname());
//     }
    if($fileinfo->isFile()){
    if(substr($fileinfo->getPathname(),0,10+strlen($path))<$tooold)
      @unlink($fileinfo->getPathname());
    }
  }
} catch ( Exception $e ){
    // write log
    return false;
}
return true;
}

function PHP_options_language($languages,$userlang)
{
  foreach($languages as $lng)
  {
    echo "<option value=\"".$lng."\" ".(($lng===$userlang) ? " selected=\"yes\"" : "")." >".$lng."</option>\n";
  }
}

function recursiveDelete($what)
{
  if(is_dir($what))
  {
    $items = array_diff(scandir($what),array('.','..'));
    foreach($items as $item)
    {
      (is_dir("$what/$item")) ? recursiveDelete("$what/$item") : unlink ("$what/$item");
    }
    return rmdir($what);
  }
}

function copybyreadwrite($fromfile,$tofile)
{
  $temp =  file_get_contents($fromfile);
  $myfile = fopen($tofile,"wb");
  if($myfile)
  {
    fwrite($myfile,$temp);
    fclose($myfile);
  }
}


function lang()
{
  return isset($_SESSION['language']) ? $_SESSION['language'] : $LANGUAGE;
}

function debug() {
  $myfile = @fopen("debug","ab");
  if($myfile)
  {
    foreach($_SESSION as $key => $value)
      fwrite($myfile,$key . ": " . $value . "\n");
    fclose($myfile);
  }
}

function debug_text($txt) {
$myfile = @fopen("debug","ab");
  if($myfile)
  {
  fwrite($myfile,"text: " . $txt . "\n");
  }
}

function get_boneco0($apelido)
{
// procurar o boneco
  $boneco = "user_chat.png";
  $tudobem = 0;
  $myfile = @fopen("session/passwd","rb");
  if($myfile)
  {
    while(!$tudobem && $buffer = rtrim(fgets($myfile)))
    {
      $temp = explode(":",$buffer);
      
      if($temp[0]===$apelido)
      {
	$tudobem = 1;
	$boneco = $temp[1];
      }
      
    } 
    @fclose($myfile);
  }
  return $boneco;
}

function get_user_bonecos()
{
  $bonecos = array();
  $myfile = @fopen("session/passwd","rb");
  if($myfile)
  {
    while($buffer = rtrim(fgets($myfile)))
    {
      $temp = explode(":",$buffer);
      $bonecos[$temp[0]] = $temp[1];
    } 
    @fclose($myfile);
  }
  return $bonecos;
}

function get_user_boneco($tempapelido,$bonecos)
{
  if(isset($bonecos[$tempapelido]))
    return $bonecos[$tempapelido];
  else
    return "user_chat.png";
}

function e_ativo($data,$apeldo,$hra) {
  return (isset($data[$apeldo]) && ($hra-$data[$apeldo])<40) ? true : false;
}

function test_input($data) {
  $data = trim($data);
  $data = stripslashes($data);
  $data = htmlspecialchars($data);
  return $data;
}

function test_input_content($data) {
  $data = trim($data);
  $data = htmlspecialchars($data);
  return $data;
}


function PHP_test_dest_directory($destdir,$htaccess)
{
  if(!file_exists($destdir))
  {
    mkdir($destdir,0777,true);
  }
  if($htaccess && !file_exists($destdir."/.htaccess"))
  {
    $f = @fopen($destdir."/.htaccess","wb");
    if($f)
    {
      fwrite($f,"Order Deny,Allow\nDeny from all\n");
      @fclose($f);
    }
  }
}

//// Begin session handling ///////

//! generates some valid session ID which will be used globaly
function PHP_generate_SessionID($SYSTEMSTORE,$number,$savesession=1)
{
  $oldsession = "";
  if($savesession)
  {
    $oldsession = session_id();
    session_write_close();
  }
  $f = fopen($SYSTEMSTORE . "/globalsession","wb");
  if($f)
  {
    for($i=0; $i<$number; $i++)
    {
      if($sessionstart = session_start())
      {
        session_regenerate_id(false);
	fwrite($f,session_id()."\n");
        session_write_close(); 
      }
      header_remove("Set-Cookie"); 
    }
    @fclose($f);
  }
  if($savesession && strlen($oldsession))
  {
    session_id($oldsession);
    return session_start();
  }
  return true;
}

function PHP_get_globalsessionID($SYSTEMSTORE, $NUMBEROFGLOBALSESSIONS)
{
  // test if the directory exists
  PHP_test_dest_directory($SYSTEMSTORE,true);

  // test if the sesion ids already created; if not; prepare some
  if(!file_exists ($SYSTEMSTORE . "/globalsession"))
  {
    PHP_generate_SessionID($SYSTEMSTORE,$NUMBEROFGLOBALSESSIONS);
  }

  // hopefully the session IDs are created and it is time to read them
  $i = 0;
  $gsessions = array();
  $myfile = @fopen($SYSTEMSTORE . "/globalsession","rb");
  if($myfile)
  {
    while($buffer = rtrim(fgets($myfile)))
    {
      $gsessions['globalsession'.$i++] = $buffer;
    } 
    @fclose($myfile);
  }
  return $gsessions;
}

//! @param $sessiontimeout if -1, the session never time out; otherwise timeout in seconds
function PHP_newSession($sessiontimeout=-1)
{
  header_remove("Cookie"); 
  $sessionstart = session_start();
  header_remove("Set-Cookie"); 
  session_cache_limiter('nocache');
  if($sessionstart)
  {
    $_SESSION['logintime'] = time();
    $_SESSION['accesstime'] = $_SESSION['logintime'];
    $_SESSION['sessiontimeout'] = $sessiontimeout;
  }
  return $sessionstart;
}

function PHP_continueSession($sidmarker)
{
  if(isset($_POST[$sidmarker]) && strlen($_POST[$sidmarker])>5)
    session_id(test_input($_POST[$sidmarker]));
  else
    return false;
    
  header_remove("Cookie");   
  try
  {
    $sessionstart = session_start(); 
  }
  catch (Exception $e)
  {
    return false;
  }
  header_remove("Set-Cookie");
  session_cache_limiter('nocache');
  
  if(!isset($_SESSION['logintime']))
    return false;
      
  if($sessionstart)
  { // timed out?
    try
    {
      $lastaccess = $_SESSION['accesstime'];
      $_SESSION['accesstime'] = time();
      if($_SESSION['sessiontimeout']>-1 && ($_SESSION['accesstime']-$lastaccess)>=$_SESSION['sessiontimeout'])
      {
        session_destroy();
	return false;
      }
    }
    catch(Exception $e)
    {
      session_destroy();
      return false;
    }
  }
  
  return $sessionstart;
}

function PHP_change_session_id()
{
  session_regenerate_id(true);
  header_remove("Set-Cookie");
  return session_id();
}

function PHP_reopen_session($sid)
{
  session_id($sid);
  $sessionstart = session_start();  
  header_remove("Set-Cookie");
  return $sessionstart;
}

//// End session handling ///////


function PHP_hiddenformid($PHPSIDFRM,$usedid)
{
  echo "<input type=\"hidden\" name=\"".$PHPSIDFRM."\" value=\"".$usedid." ?>\" />\n";
}

function PHP_formbegin($destination,$PHPSIDFRM,$usedid,$formoption)
{
  echo "<form action=\"".$destination."\" method=\"POST\" ".$formoption." >\n";
  if(strlen($PHPSIDFRM))
    echo "<input type=\"hidden\" name=\"".$PHPSIDFRM."\" value=\"".$usedid."\" />\n";
}

function PHP_formend()
{
  echo "</form>\n";
}

function PHP_formreloader($destination,$PHPSIDFRM,$usedid)
{
  PHP_formbegin($destination,$PHPSIDFRM,$usedid,"id='formreload'");
  PHP_formend();
  echo "<script>\n  document.getElementById(\"formreload\").submit();\n</script>";
}

function HTML_header($title,$lang="en-us",$metas="")
{
?>
<!DOCTYPE html>
<html lang="<?php echo $lang ?>">
<head>
<title><?php echo $title; ?></title>
<meta content="0" http-equiv="expires" />
<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
<meta content="width=device-width, initial-scale=1" name="viewport" />
<meta content="text/javascript" http-equiv="Content-Script-Type" />
<meta content="text/css" http-equiv="Content-Style-Type" />
<meta content="<?php echo $lang; ?>" http-equiv="language" />
<meta name="googlebot" content="noindex, nofollow"> 
<meta name="robots" content="noindex,nofollow">
<meta content="<?php echo $title ?>" lang="<?php echo $lang; ?>" name="description" />
<meta content="Twymtmaker" name="author" />
<?php
echo $metas;
}

function PHP_custom_style($prefix)
{
?>
  <link href="twymtmaker_<?php echo $prefix ?>.css" rel="stylesheet" type="text/css" />
  <style>
  h1 {
font-size:100%; 
}

h2 {
font-size:100%;  
}

h3 { 
font-size:100%;
}

h4 {
font-size:100%;
}

h5 {
font-size:100%; 
}

</style>
<?php  
}

function HTML_body()
{
?>
</head>
<body>
<?php
}

function HTML_footer()
{
  echo "</body>\n</html>\n";
}

//! show a dialog box as a form or as a div box only. Parameters are 'destination', 'image'...
function HTML_info_Dialog($title, $infotext, $params) 
{
?>
<style>


.infoDialog_outer {
  font-family: verdana;
  padding:0;
  min-width: 10em;
  line-height: 1.4;
  margin :1em;
  text-align: center;
}

.infoDialog {
  font-size:large;
  box-shadow: 5px 12px 12px 5px #C1CDC1;
  color : #00e6e6;
  display:inline-block;
  max-width: 80%;
  border-style:groove;
  padding:1em;
}

.infoDialog_inner {
 font-size:large;
}

.infoDialog_button {
  font-size:large;
  margin-top: 2em;
  margin-bottom: 2em;
}
</style>
<?php
  echo "<div class=\"infoDialog_outer\">\n";
  echo "<div class=\"infoDialog\">\n";
  echo $title . "\n<hr />\n";
  echo "<div class=\"infoDialog_inner\">\n";
  if(isset($params['destination']))
  { // a form
    $PHPSIDFRM = isset($params['PHPSIDFRM']) ? $params['PHPSIDFRM'] : "";
    $usedid = isset($params['usedid']) ? $params['usedid'] : "";
    PHP_formbegin($params['destination'],$PHPSIDFRM,$usedid,"");
    
    if(isset($params['cadastro']))
      echo "<input type=\"hidden\" name=\"cadastro\" value=\"\" />\n";
    if(isset($params['cadastroes']))
      echo "<input type=\"hidden\" name=\"cadastroes\" value=\"\" />\n";
  }
  else
  { // a div box only
  }

  echo $infotext . "\n";

  
  if(isset($params['destination']))
  { // a form
    echo "<div>\n";
    echo "<input type=\"submit\" value=\"OK\" class=\"infoDialog_button\" />\n";
    echo "</div> \n";
    PHP_formend();
  }
  else
  { // a div box only
    echo "<div>\n";
    echo "<input type=\"button\" value=\"OK\" class=\"infoDialog_button\" onclick=\"parentNode.parentNode.style.display='none';\" />\n";
    echo "</div> \n";
  }
  echo "</div></div></div>\n";
}

//! report a problem as a whole page
function HTML_problem_report($title, $problemtext, $destination)
{
  HTML_header($title,lang());
  HTML_body();
  HTML_info_Dialog($title,$problemtext,['PHPSIDFRM'=>$PHPSIDFRM, 'usedid' => $userid, 'destination' => $destination]);
  HTML_footer();
}
?>